Loading...
Searching...
No Matches
freecontact Namespace Reference

## Classes

class | ct_vector
class | af_vector
class | pf_vector
class | cov_vector
class | _rawscore_calc_t
| Calculates raw score for an i,j contact. More...
class | d2matrix
| 2-dimensional matrix. More...
class | _glasso_timer
class | alilen_error
| Alignment length exception. More...
class | icme_timeout_error
| Inverse covariance matrix estimation timeout exception. More...
class | ali_t
| Protein sequence alignment. More...
struct | contact_t
| Contact prediction. More...
struct | parset_t
| Parameter set structure for predictor::run(). More...
class | predictor
| Protein residue contact predictor. More...

## Typedefs

typedef float | cov_fp_t
typedef float | fp_t
typedef d2matrix< uint32_t, uint32_t, int > | simcnt_t
typedef long long __m128i | __attribute__((__vector_size__(16), __may_alias__))

## Functions

static void | _raw_score_matrix (map< string, ct_vector< fp_t > > &__raw_ctscore, map< string, vector< double > > &__apc_bg, map< string, double > &__apc_mean, const uint16_t __alilen, const string &__key, const _rawscore_calc_t &__fo)
| Calculate raw contact scores using given function and collect row/column/overall mean for APC calculation.
static vector< contact_t > | _apc (const ct_vector< fp_t > &__raw_ctscore, const vector< double > &__apc_bg, const double __apc_mean, const uint16_t __mincontsep, bool __filt)
static vector< contact_t > | _raw_as_is (const ct_vector< fp_t > &__raw_ctscore, const uint16_t __mincontsep)
static uint32_t | _cache_holds_nseq (uint16_t __seqsize)
static __m128i | _mm_setzero_si128 ()
const parset_t | ps_evfold (0.70, 0.0, 0.9, 1, 0.0, 0.5, false, 0.0, true, true, -1)
const parset_t | ps_psicov (0.62, 0.03, 0.9, 5, 1.0, 0.0, true, 0.1, false, false, -1)
const parset_t | ps_psicov_sd (0.62, 0.0, 0.9, 5, 1.0, 0.0, true, 0.1, false, false, 0.001)

## Variables

static const uint8_t | aamap_gapidx = 20
static const uint8_t | aamap []
static const uint8_t | mapaa []

## Typedef Documentation

## __attribute__

typedef long long __m128i freecontact::__attribute__((__vector_size__(16), __may_alias__))

Definition at line 65 of file freecontact.h.

## cov_fp_t

typedef float freecontact::cov_fp_t

Definition at line 58 of file freecontact.cpp.

## fp_t

typedef float freecontact::fp_t

Definition at line 59 of file freecontact.cpp.

## simcnt_t

typedef d2matrix<uint32_t, uint32_t, int> freecontact::simcnt_t

Definition at line 177 of file freecontact.cpp.

## Function Documentation

## _apc()

vector< contact_t > freecontact::_apc | ( | const ct_vector< fp_t > & | __raw_ctscore,
|  | const vector< double > & | __apc_bg,
|  | const double | __apc_mean,
|  | const uint16_t | __mincontsep,
|  | bool | __filt )

static

Definition at line 1045 of file freecontact.cpp.

## _cache_holds_nseq()

uint32_t freecontact::_cache_holds_nseq | ( | uint16_t | __seqsize | ) |

inline static

Definition at line 1082 of file freecontact.cpp.

## _mm_setzero_si128()

__m128i freecontact::_mm_setzero_si128 | ( |  | ) |

inline static

Definition at line 192 of file freecontact.cpp.

## _raw_as_is()

vector< contact_t > freecontact::_raw_as_is | ( | const ct_vector< fp_t > & | __raw_ctscore,
|  | const uint16_t | __mincontsep )

inline static

Definition at line 1064 of file freecontact.cpp.

## _raw_score_matrix()

void freecontact::_raw_score_matrix | ( | map< string, ct_vector< fp_t > > & | __raw_ctscore,
|  | map< string, vector< double > > & | __apc_bg,
|  | map< string, double > & | __apc_mean,
|  | const uint16_t | __alilen,
|  | const string & | __key,
|  | const _rawscore_calc_t & | __fo )

static

Calculate raw contact scores using given function and collect row/column/overall mean for APC calculation.

Parameters

  [out] | __raw_ctscore |
  [out] | __apc_bg |
  [out] | __apc_mean |
  [in] | __alilen |
  [in] | __key |
  [in] | __fo |

Definition at line 1023 of file freecontact.cpp.

## ps_evfold()

const parset_t freecontact::ps_evfold | ( | 0. | 70,
|  | 0. | 0,
|  | 0. | 9,
|  | 1 | ,
|  | 0. | 0,
|  | 0. | 5,
|  | false | ,
|  | 0. | 0,
|  | true | ,
|  | true | ,
|  | - | 1 )

## ps_psicov()

const parset_t freecontact::ps_psicov | ( | 0. | 62,
|  | 0. | 03,
|  | 0. | 9,
|  | 5 | ,
|  | 1. | 0,
|  | 0. | 0,
|  | true | ,
|  | 0. | 1,
|  | false | ,
|  | false | ,
|  | - | 1 )

## ps_psicov_sd()

const parset_t freecontact::ps_psicov_sd | ( | 0. | 62,
|  | 0. | 0,
|  | 0. | 9,
|  | 5 | ,
|  | 1. | 0,
|  | 0. | 0,
|  | true | ,
|  | 0. | 1,
|  | false | ,
|  | false | ,
|  | 0. | 001 )

## Variable Documentation

## aamap

const uint8_t freecontact::aamap[]

static

Initial value:
= {
21, 0, 3, 4, 3, 6, 13, 7, 8, 9, 21, 11, 10, 12, 2,
21, 14, 5, 1, 15, 16, 21, 19, 17, 21, 18, 6
}

Definition at line 39 of file freecontact.h.

## aamap_gapidx

const uint8_t freecontact::aamap_gapidx = 20

static

Definition at line 38 of file freecontact.h.

## mapaa

const uint8_t freecontact::mapaa[]

static

Initial value:
= {
'A', 'R', 'N', 'D', 'C', 'Q', 'E', 'G', 'H', 'I',
'L', 'K', 'M', 'F', 'P', 'S', 'T', 'W', 'Y', 'V',
'-', 'X'
}

Definition at line 45 of file freecontact.h.